/******************************************************************************
 GPrefsHelpText.cc

	Copyright  1999 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#include "GHelpText.h"

const JCharacter* kPrefsHelpName  = "GPrefsHelp";
const JCharacter* kPrefsHelpTitle = "Mail preferences";

const JCharacter* kPrefsHelpText =

"<b>Default inbox</b>"
"<p>"
"This is the mailbox that will be opened when arrow opens if no other "
"mailboxes are specified. It is also the mailbox where downloaded messages "
"will be placed if they are not filtered (via procmail) to some other directory."

"<p>"

"<b>SMTP server</b>"
"<p>"
"This is the server that is used to send mail."
"<p>"

"<b>SMTP user</b>"
"<p>"
"This is the user name that will be used when contacting the SMTP server."
"<p>"

"<b>Reply to</b>"
"<p>"
"This string will be automatically placed in the <i>Reply-To</i> input field "
"when a new message is created."
"<p>"

"<b>Use custom from line</b>"
"<p>"
"Arrow will automatically specify a <i>From</i> line in new messages if this is "
"not set. If you want to use other <i>From</i> text, click this."
"<p>"

"<b>From line</b>"
"<p>"
"The contains the text that will be used in the custom <i>From</i> line. "
"It must be in the form<br> <i>Real Name &lt user@domain &gt</i>."
"<p>"

"<b>Report no errors on spell check</b>"
"<p>"
"Normally, if you check the spelling on a new message, a dialog box will "
"report if there were no messages. If you do not want this dialog box to "
"appear, click this."
"<p>"

"<b>Show mailbox state in title</b>"
"<p>"
"If this is clicked, an asterick will be placed to the left of the title of "
"a mailbox window if the mailbox contains any mail. If the mailbox has new "
"mail, two asterisks will be placed to the left of the title. If the mailbox "
"if empty, no asterisks will be shown."
"<p>"

"<b>Quote message on reply if smaller that __ KB</b>"
"<p>"
"Normally, if you reply to a message, the text of the message will be quoted "
"in the new message. This can sometimes be a problem if the original text is "
"quite large. This check box allows you to specify a limit on the text size "
"that will be quoted. If the text is larger than the amount specified here, "
"then it will not be quoted."
"<p>"

"<b>Show sender string on reply</b>"
"<p>"
"Click this if you want a string in your reply messages that identifies the "
"original sender and date above the quoted text of the original message. "
"In the <i>String</i> input field, <i>$d</i> refers to the date, and <i>$f</i> "
"refers to the original sender's full name."
"<p>"

"<b>Font</b>, <b>Size</b> and <b>Spaces per tab</b>"
"<p>"
"These settings affect the font in the message view window and in the editor "
"of the new message window."
"<p>"

"<b>Encryption program</b>"
"<p>"
"This setting determines which program will be used to encrypt or decrypt "
"messages."

"<b>POP settings</b>"
"<p>"
"In order to download your mail from a POP server, you must fill out the "
"remaining section of the preferences dialog. To begin with, the "
"<i>Use POP server</i> box must be checked. Check the other boxes below "
"if appropriate. Finally, the <i>POP server</i> and <i>POP account</i> "
"must provide the server's name and the account name respectively for the "
"server that you wish to connect to. See the "
"<a href=jxhelp:GPOPHelp>POP</a> help for further information.";
